AgentConnect
Azure DevOps

List Azure DevOps connections

The organization’s Azure DevOps connections with their identity, credential source, state and bound repository count — no secret material — and whether the deployment’s Microsoft application can connect.

GET
/v1/orgs/{orgId}/azure-devops/connections

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Response Body

application/json

curl -X GET "https://example.com/v1/orgs/string/azure-devops/connections"
{  "connections": [    {      "id": "string",      "organization": "string",      "organizationInstanceId": "string",      "tenantId": "string",      "identityId": "string",      "identityName": "string",      "credentialSource": "deployment",      "clientId": "string",      "state": "connected",      "stateReason": "secret_rejected",      "credentialEpoch": "string",      "boundRepositories": -9007199254740991,      "connectedBy": "string",      "lastVerifiedAt": "string",      "createdAt": "string"    }  ],  "deploymentApplication": true}